=== debian/changelog ===
ros-eloquent-rosidl-generator-py (0.8.2-1bionic) bionic; urgency=high

  * fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>) (#121 <https://github.com/ros2/rosidl_python/issues/121>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Fri, 04 Dec 2020 06:00:00 -0000

ros-eloquent-rosidl-generator-py (0.8.1-1bionic) bionic; urgency=high

  * Enable tests for 'char' type fields (#91 <https://github.com/ros2/rosidl_python/issues/91>)
  * Refactor tests (#89 <https://github.com/ros2/rosidl_python/issues/89>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.8.0-1bionic) bionic; urgency=high

  * Find numpy headers in non-debian paths (#75 <https://github.com/ros2/rosidl_python/issues/75>) (#75 <https://github.com/ros2/rosidl_python/issues/75>)
  * Remove non-package from ament_target_dependencies() (#76 <https://github.com/ros2/rosidl_python/issues/76>)
  * Avoid multiple includes for nested array functions (#72 <https://github.com/ros2/rosidl_python/issues/72>)
  * Remove the padding member from structs which should be empty (#73 <https://github.com/ros2/rosidl_python/issues/73>)
  * Ensure the contents of the field are an array. (#63 <https://github.com/ros2/rosidl_python/issues/63>)
  * Make the message __repr__ for Python look nicer (#60 <https://github.com/ros2/rosidl_python/issues/60>)
    Before this patch, publishing a message with "ros2 topic pub" would print something like:
    ``publishing #5: my_msgs.msg.my_msg(axes=array('f', [0.0]))``
    While that is OK, it is kind of ugly.
    This patch hides the typecode and the "array" so that the output looks like:
    ``publishing #5: my_msgs.msg.my_msg(axes=[0.0])``
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Rich Mattes, Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Wed, 25 Sep 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.7.6-1bionic) bionic; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.7.5-1bionic) bionic; urgency=high

  * Fix PYTHONPATH for test (#58 <https://github.com/ros2/rosidl_python/issues/58>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.7.4-1bionic) bionic; urgency=high

  * Encode/decode strings with UTF-8 (#57 <https://github.com/ros2/rosidl_python/issues/57>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-rosidl-generator-py (0.7.3-1bionic) bionic; urgency=high

  * Add missing numpy test dependency (#56 <https://github.com/ros2/rosidl_python/issues/56>)
  * Contributors: Dirk Thomas

 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 22:57:00 -0000

ros-eloquent-rosidl-generator-py (0.7.2-1bionic) bionic; urgency=high

  * Fix conversion from C to Python in case a sequence has default values (#55 <https://github.com/ros2/rosidl_python/issues/55>)
  * Store types as tuple of abstract types (#33 <https://github.com/ros2/rosidl_python/issues/33>)
  * Add WString support (#47 <https://github.com/ros2/rosidl_python/issues/47>)
  * Use semantic exec_depend key for python3-numpy. (#48 <https://github.com/ros2/rosidl_python/issues/48>)
  * Fix boolean constant in Python mapping (#46 <https://github.com/ros2/rosidl_python/issues/46>)
  * Simplify code using updated definition API (#45 <https://github.com/ros2/rosidl_python/issues/45>)
  * Update code to match refactoring of rosidl definitions (#44 <https://github.com/ros2/rosidl_python/issues/44>)
  * Fix quoted strings for new flake8-quote check. (#42 <https://github.com/ros2/rosidl_python/issues/42>)
  * use quotes with least escaping for Python string literals (#43 <https://github.com/ros2/rosidl_python/issues/43>)
  * Remove obsolete argument mod_prefix (#41 <https://github.com/ros2/rosidl_python/issues/41>)
  * Contributors: Chris Lalancette, Dirk Thomas, Mikael Arguedas, Steven! Ragnarök

 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 21:58:00 -0000

ros-eloquent-rosidl-generator-py (0.7.1-1bionic) bionic; urgency=high

  * Add numpy dependency to package.xml. (#39 <https://github.com/ros2/rosidl_python/issues/39>)
  * Contributors: Steven! Ragnarök

 -- Scott K Logan <scott@openrobotics.org>  Sun, 14 Apr 2019 17:48:00 -0000

ros-eloquent-rosidl-generator-py (0.7.0-1bionic) bionic; urgency=high

  * Fix numpy usage for Windows debug builds (#36 <https://github.com/ros2/rosidl_python/issues/36>)
  * Fix compiler warning about unused variable in release mode (#35 <https://github.com/ros2/rosidl_python/issues/35>)
  * Map Arrays to numpy.ndarray() and Sequences to array.array() (#35 <https://github.com/ros2/rosidl_python/issues/35>)
  * Change generators to IDL-based pipeline (#24 <https://github.com/ros2/rosidl_python/issues/24>)
  * Ignore import order on generated imports (#29 <https://github.com/ros2/rosidl_python/issues/29>)
  * Provide type support for 'goal_status_array' in action type support
  * Fix flake8 error (#27 <https://github.com/ros2/rosidl_python/issues/27>)
  * Adds Python typesupport for Actions (#21 <https://github.com/ros2/rosidl_python/issues/21>)
  * Contributors: Alexis Pojomovsky, Dirk Thomas, Jacob Perron, Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Sun, 14 Apr 2019 10:05:00 -0000

ros-eloquent-rosidl-generator-py (0.6.2-1bionic) bionic; urgency=high

  * Throw on non-ascii characters in string and char message fields (#26 <https://github.com/ros2/rosidl_python/issues/26>)
  * Change uncrustify max line length to 0 (#25 <https://github.com/ros2/rosidl_python/issues/25>)
    This is for compatibility with uncrustify v0.68.
  * Contributors: Jacob Perron, Michel Hidalgo


