=== debian/control ===
Source: ros-eloquent-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Scott K Logan <scott@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-numpy, python3-pytest, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-index-python, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-python-cmake-module, ros-eloquent-rmw, ros-eloquent-rmw-implementation, ros-eloquent-rmw-implementation-cmake, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-parser, ros-eloquent-rosidl-typesupport-c, ros-eloquent-test-interface-files, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-eloquent-ament-cmake, ros-eloquent-ament-index-python, ros-eloquent-python-cmake-module, ros-eloquent-rmw, ros-eloquent-rmw-implementation, ros-eloquent-rmw-implementation-cmake, ros-eloquent-rosidl-cmake, ros-eloquent-rosidl-generator-c, ros-eloquent-rosidl-parser, ros-eloquent-rosidl-typesupport-c, ros-eloquent-rosidl-typesupport-interface, ros-eloquent-ros-workspace
Description: Generate the ROS interfaces in Python.
